#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 11. General Utilities

- Prev

  Sharutils-4.15.2

- Next

  telepathy-mission-control-5.16.6

- Up
- Home

# telepathy-logger-0.8.2

## Introduction to Telepathy Logger

The Telepathy Logger package is a headless observer client that logs information received by the Telepathy framework. It features pluggable backends to log different sorts of messages in different formats.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://telepathy.freedesktop.org/releases/telepathy-logger/telepathy-logger-0.8.2.tar.bz2

- Download MD5 sum: c2f6a31c76cbdf8790500cf4f872ba71

- Download size: 552 KB

- Estimated disk space required: 17 MB

- Estimated build time: 0.2 SBU

### Telepathy Logger Dependencies

#### Required

Python-2.7.18 (only during build), SQLite-3.34.1, and telepathy-glib-0.24.2

#### Recommended

gobject-introspection-1.66.1

#### Optional

GTK-Doc-1.33.2

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/telepathy-logger

## Installation of Telepathy Logger

Fix a deprecated schema entry:

    sed 's@/apps/@/org/freedesktop/@' \
        -i data/org.freedesktop.Telepathy.Logger.gschema.xml.in

Install Telepathy Logger by running the following commands:

    ./configure --prefix=/usr --disable-static &&
    make

To test the results, issue: make check.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--enable-gtk-doc`: This parameter is normally used if GTK-Doc is installed and you wish to rebuild and install the API documentation. It is broken for this package due to the use of a long deprecated gtk-doc program that is no longer available.

## Contents

Installed Programs: telepathy-logger
Installed Libraries: libtelepathy-logger.so
Installed Directories: /usr/include/telepathy-logger-0.2, /usr/share/gtk-doc/html/telepathy-logger and /usr/share/telepathy

### Short Descriptions

telepathy-logger | is the Telepathy Logger D-Bus service
`libtelepathy-logger.so` | contains the Telepathy Logger API functions

Last updated on 2021-02-21 15:09:04 -0800

- Prev

  Sharutils-4.15.2

- Next

  telepathy-mission-control-5.16.6

- Up
- Home